Package help

# Class GHelpBroker

java.lang.Object
javax.help.DefaultHelpBroker
help.GHelpBroker

All Implemented Interfaces:
  `KeyListener`, `EventListener`, `javax.help.HelpBroker`

Direct Known Subclasses:
  `DockingHelpBroker`

public class GHelpBroker extends javax.help.DefaultHelpBroker
Ghidra help broker that displays the help set; sets the application icon on the help frame and attempts to maintain the user window size.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected JEditorPane`
  `htmlEditorPane`

  ### Fields inherited from class javax.help.DefaultHelpBroker

  `displayHelpFromFocus, displayHelpFromSource`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GHelpBroker(javax.help.HelpSet hs)`
  Construct a new GhidraHelpBroker.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addCustomToolbarItems(javax.help.JHelp jHelp)`
  Create zoom in/out buttons on the default help window toolbar.
  `protected List<Image>`
  `getApplicationIcons()`
  `protected javax.help.HelpModel`
  `getCustomHelpModel()`
  `protected void`
  `installActions(javax.help.JHelp help)`
  `protected void`
  `installHelpSearcher(javax.help.JHelp jHelp, javax.help.HelpModel helpModel)`
  `void`
  `reload()`
  `protected void`
  `reloadHelpPage(URL url)`
  `void`
  `setActivationWindow(Window window)`
  `void`
  `setCurrentURL(URL URL)`
  `void`
  `setDisplayed(boolean b)`
  `protected void`
  `showNavigationAid(URL url)`

  ### Methods inherited from class javax.help.DefaultHelpBroker

  `enableHelp, enableHelp, enableHelpKey, enableHelpKey, enableHelpOnButton, enableHelpOnButton, enableHelpOnButton, getCurrentID, getCurrentURL, getCurrentView, getDisplayHelpFromFocus, getDisplayHelpFromSource, getFont, getHelpSet, getLocale, getLocation, getScreen, getSize, getWindowPresentation, initPresentation, isDisplayed, isViewDisplayed, keyPressed, keyReleased, keyTyped, setActivationObject, setCurrentID, setCurrentID, setCurrentView, setFont, setHelpSet, setHelpSetPresentation, setLocale, setLocation, setScreen, setSize, setViewDisplayed, showID, showID`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### htmlEditorPane

    protected JEditorPane htmlEditorPane

- ## Constructor Details

  - ### GHelpBroker

    public GHelpBroker(javax.help.HelpSet hs)
    Construct a new GhidraHelpBroker.
    Parameters:
      `hs` - java help set associated with this help broker

- ## Method Details

  - ### setCurrentURL

    public void setCurrentURL(URL URL)
    Specified by:
      `setCurrentURL` in interface `javax.help.HelpBroker`
    Overrides:
      `setCurrentURL` in class `javax.help.DefaultHelpBroker`

  - ### getApplicationIcons

    protected List<Image> getApplicationIcons()

  - ### getCustomHelpModel

    protected javax.help.HelpModel getCustomHelpModel()

  - ### reloadHelpPage

    protected void reloadHelpPage(URL url)

  - ### reload

    public void reload()

  - ### showNavigationAid

    protected void showNavigationAid(URL url)

  - ### setDisplayed

    public void setDisplayed(boolean b)
    Specified by:
      `setDisplayed` in interface `javax.help.HelpBroker`
    Overrides:
      `setDisplayed` in class `javax.help.DefaultHelpBroker`

  - ### installHelpSearcher

    protected void installHelpSearcher(javax.help.JHelp jHelp, javax.help.HelpModel helpModel)

  - ### addCustomToolbarItems

    protected void addCustomToolbarItems(javax.help.JHelp jHelp)
    Create zoom in/out buttons on the default help window toolbar.
    Parameters:
      `jHelp` - the java help object used to retrieve the help components

  - ### installActions

    protected void installActions(javax.help.JHelp help)

  - ### setActivationWindow

    public void setActivationWindow(Window window)
    Overrides:
      `setActivationWindow` in class `javax.help.DefaultHelpBroker`